%define module	Catalyst-Action-RenderView
%define name	perl-%{module}
%define	modprefix Catalyst
%define version	0.09
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Sensible default end action
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
BuildRequires:	perl(Catalyst) >= 5.70
BuildRequires:	perl(Module::Install)
BuildRequires:	perl(Data::Visitor)
BuildRequires:	perl(MRO::Compat)
BuildRequires:   perl-namespace-clean
Requires:	perl-Catalyst >= 5.70
Requires:   perl-namespace-clean
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{release}

%description
This action implements a sensible default end action, which will
forward to the first available view, unless status is set to 3xx, or
there is a response body. It also allows you to pass dump_info=1 to
the url in order to force a debug screen, while in debug mode.

If you have more than 1 view, you can specify which one to use with
the 'default_view' config setting (See view in Catalyst.)

%prep
%setup -q -n %{module}-%{version}

%build
%__perl Makefile.PL installdirs=vendor --skipdeps
%make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/*/*
%{perl_vendorlib}/%{modprefix}

%clean
rm -rf %{buildroot}


%changelog
* Thu Feb 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2009.1
+ Revision: 342949
- update to new version 0.09

* Mon Jul 28 2008 Olivier Thauvin <nanardon@mandriva.org> 0.08-2mdv2009.0
+ Revision: 251708
- buildrequires namespace::clean
- manually add requires to perl-namespace-clean, not find by autoreq/prov

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2009.0
+ Revision: 202326
- update to new version 0.08

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.07-1mdv2008.1
+ Revision: 136666
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2008.0
+ Revision: 78092
- update to new version 0.07

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2008.0
+ Revision: 78090
- fix build dependencies
- new version

  + Funda Wang <fundawang@mandriva.org>
    - BR Module-Install
    - New version


* Tue Jul 04 2006 Scott Karns <scottk@mandriva.org> 0.04-1mdv2007.0
- Version 0.04

* Thu Jun 29 2006 Scott Karns <scottk@mandriva.org> 0.02-1mdv2007.0
- Version 0.02

* Thu Jun 29 2006 Scott Karns <scottk@mandriva.org> 0.01-1mdv2007.0
- First Mandriva release

